<template>
    <div class="home">
        <div id="container"></div>
    </div>
</template>

<script>
import G6 from '@antv/g6';
import insertCss from 'insert-css';
export default {
    name: 'Home',
    data(){
        return{
        }
    },
    mounted(){
        this.canvasG6();
    },
    methods: {
        canvasG6(){
            insertCss(`
                .g6-minimap-container {
                    border: 1px solid #e2e2e2;
                }
                .g6-minimap-viewport {
                    border: 2px solid rgb(25, 128, 255);
                }
            `);
            const data = {
                nodes: [
                    {
                    id: '0',
                    label: '0',
                    },
                    {
                    id: '1',
                    label: '1',
                    },
                    {
                    id: '2',
                    label: '2',
                    },
                    {
                    id: '3',
                    label: '3',
                    },
                    {
                    id: '4',
                    label: '4',
                    },
                    {
                    id: '5',
                    label: '5',
                    },
                    {
                    id: '6',
                    label: '6',
                    },
                    {
                    id: '7',
                    label: '7',
                    },
                    {
                    id: '8',
                    label: '8',
                    },
                    {
                    id: '9',
                    label: '9',
                    },
                    {
                    id: '10',
                    label: '10',
                    },
                    {
                    id: '11',
                    label: '11',
                    },
                    {
                    id: '12',
                    label: '12',
                    },
                    {
                    id: '13',
                    label: '13',
                    },
                    {
                    id: '14',
                    label: '14',
                    },
                    {
                    id: '15',
                    label: '15',
                    },
                ],
                edges: [
                    {
                    source: '0',
                    target: '1',
                    },
                    {
                    source: '0',
                    target: '2',
                    },
                    {
                    source: '0',
                    target: '3',
                    },
                    {
                    source: '0',
                    target: '4',
                    },
                    {
                    source: '0',
                    target: '5',
                    },
                    {
                    source: '0',
                    target: '7',
                    },
                    {
                    source: '0',
                    target: '8',
                    },
                    {
                    source: '0',
                    target: '9',
                    },
                    {
                    source: '0',
                    target: '10',
                    },
                    {
                    source: '0',
                    target: '11',
                    },
                    {
                    source: '0',
                    target: '13',
                    },
                    {
                    source: '0',
                    target: '14',
                    },
                    {
                    source: '0',
                    target: '15',
                    },
                    {
                    source: '2',
                    target: '3',
                    },
                    {
                    source: '4',
                    target: '5',
                    },
                    {
                    source: '4',
                    target: '6',
                    },
                    {
                    source: '5',
                    target: '6',
                    },
                    {
                    source: '7',
                    target: '13',
                    },
                    {
                    source: '8',
                    target: '14',
                    },
                    {
                    source: '9',
                    target: '10',
                    },
                    {
                    source: '10',
                    target: '14',
                    },
                    {
                    source: '10',
                    target: '12',
                    },
                    {
                    source: '11',
                    target: '14',
                    },
                    {
                    source: '12',
                    target: '13',
                    },
                ],
            };
            const width = document.getElementById('container').scrollWidth;
            let height = document.getElementById('container').scrollHeight || 500;
            height -= 110;
            const minimap = new G6.Minimap({
                size: [150, 100]
            });
            const graph = new G6.Graph({
                container: 'container',
                width,
                height,
                linkCenter: true,
                layout: {
                    type: 'dagre',
                    rankdir: 'LR',
                    align: 'DL',
                    nodesepFunc: () => 1,
                    ranksepFunc: () => 1,
                },
                defaultNode: {
                    size: [80, 40],
                    type: 'rect',
                    style: {
                    fill: '#DEE9FF',
                    stroke: '#5B8FF9',
                    },
                },
                defaultEdge: {
                    style: {
                    stroke: '#b5b5b5',
                    lineAppendWidth: 3,
                    },
                },
                modes: {
                    default: [ 'drag-canvas', 'zoom-canvas' ],
                },
                plugins: [ minimap ]
            });
            graph.data(data);
            graph.render();
        }
    }
}
</script>
